Skip to main content

Get Business Usage

Retrieve the business usage statistics for a given month. The date should be specified in YYYY-MM format.

Request

Request-Line

GET /waap/v1.0/businessUsage?month={month} HTTP/1.1

Request Parameters

Query Parameters

ParameterTypeRequiredDescription
monthStringMandatoryThe month to query in YYYY-MM format (e.g., 2025-07).

Response

Response Body

ParameterTypeDescription
ArrayArray of Business Usage.

Object: Business Usage

ParameterTypeDescription
customerIdIntegerThe ID of the customer.
domainStringThe domain name being analyzed.
timeStringThe time of usage data in YYYY-MM format.
volumeIntegerTotal data volume used (in Bytes).
bandwidthFloatMaximum bandwidth used (in bps).
rpsFloatAverage requests per second (RPS).

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400Month.InvalidMonth is empty or invalid.

Examples

Get Business Usage

Request

GET /waap/v1.0/businessUsage?month=2025-07 HTTP/1.1

Successful Response Body

[
{
"customerId": 36180,
"domain": "dvwa.test0625.com",
"time": "2025-07",
"volume": 31840660,
"bandwidth": 115335.49,
"rps": 0.87
},
{
"customerId": 36180,
"domain": "test0508-1.testing.com",
"time": "2025-07",
"volume": 2396179,
"bandwidth": 21435.81,
"rps": 0.1
}
]